#
# spec file for package python-msrest
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           python-msrest
Version:        0.4.4
Release:        3.1
Summary:        AutoRest swagger generator Python client runtime
License:        MIT
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/msrest
Source:         msrest-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-requests >= 2.7.0
Requires:       python-keyring >= 5.6
Requires:       python-requests-oauthlib >= 0.5.0
Requires:       python-isodate >= 0.5.4
Requires:       python-certifi >= 2015.9.6.2
Requires:       python-chardet >= 2.3.0
Requires:       python-enum34 >= 1.0.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
AutoRest swagger generator Python client runtime
Swagger is a powerful open source framework: http://swagger.io

%prep
%setup -q -n msrest-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%fdupes %{buildroot}/%{python_sitelib}/*

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Mon Dec 12 2016 ms@suse.com
- Include in SLE 12 (fate#322171, bsc#1014478)
* Mon Dec 12 2016 ms@suse.com
- Initial build
  + Version 0.4.4
